### Method

# GVnc Framebuffer set_pixel_at

#### Declaration [src]

    void
    vnc_framebuffer_set_pixel_at (
      VncFramebuffer* fb,
      guint8* src,
      guint16 x,
      guint16 y
    )

#### Description [src]

Sets a pixel in the framebuffer at (`x`, `y`) to the value in `src`. The number of bytes in `src` is determined by the remote pixel format.

#### Parameters

`src`

  Type: An array of `guint8`

  The new pixel data.

  The data is owned by the caller of the method.

`x`

  Type: `guint16`

  The horizontal pixel to set.

`y`

  Type: `guint16`

  The vertical pixel to set.